<div class="txt-ellipsis" nz-tooltip [sqtmCoreLabelTooltip]="getDisplayValue()">
  <span class="label-color"
    >{{
      filter.label || filter.i18nLabelKey | translate | capitalize
    }}
    :&nbsp;</span
  >
  <span [attr.data-test-element-id]="'grid-filter-field-value'">
    @if (getDisplayValue().length > 0) {
      {{
        'sqtm-core.entity.query.operation.' + filter.operation
          | translate
          | capitalize
      }}
    }
    {{ getDisplayValue() }}
  </span>
</div>
